{
  "criteria": {
    "requirement": {
      "trigger": "minecraft:player_killed_entity",
      "conditions": {
        "player": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "nbt": "{Tags:[nitDragonologyBuilt]}"
            }
          }
        ],
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:ender_dragon"
            }
          }
        ]
      }
    }
  },
  "rewards": {
    "function": "nitref:recurs/dragonology/earn_scales"
  }
}
